[prev in list] [next in list] [prev in thread] [next in thread] 

List:       ipcop-svn
Subject:    [Ipcop-svn] SF.net SVN: ipcop:[7815] ipcop/trunk
From:       owes () users ! sourceforge ! net
Date:       2015-01-25 15:40:47
Message-ID: E1YFPJ0-0005f7-Nl () sfs-ml-1 ! v29 ! ch3 ! sourceforge ! com
[Download RAW message or body]

Revision: 7815
          http://sourceforge.net/p/ipcop/svn/7815
Author:   owes
Date:     2015-01-25 15:40:46 +0000 (Sun, 25 Jan 2015)
Log Message:
-----------
Bump version, prepare for next update

Modified Paths:
--------------
    ipcop/trunk/make.sh

Added Paths:
-----------
    ipcop/trunk/updates/2.2.0/
    ipcop/trunk/updates/2.2.0/ROOTFILES.i486-2.2.0
    ipcop/trunk/updates/2.2.0/information.xml
    ipcop/trunk/updates/2.2.0/setup

Modified: ipcop/trunk/make.sh
===================================================================
--- ipcop/trunk/make.sh	2015-01-25 10:00:25 UTC (rev 7814)
+++ ipcop/trunk/make.sh	2015-01-25 15:40:46 UTC (rev 7815)
@@ -50,15 +50,15 @@
 SNAME="ipcop"
 
 # This is the IPCop version number for the release.
-VERSION=2.1.8
+VERSION=2.2.0
 
 # VERSIONSTEP is only used when the update is split into 2 versions/packages.
 #VERSIONSTEP=2.1.0
 
 # This is the last official IPCop version number. Needed for ./make.sh newupdate.
-PREVIOUSVERSION=2.1.7
+PREVIOUSVERSION=2.1.8
 # This is the SVN revision number for the last IPCop version. Needed for ChangeLog.
-PREVIOUSSVNREV=7687
+PREVIOUSSVNREV=7814
 
 # Just an arbitrary name for the downloadable, prebuilt toolchain (if you want to \
save time compiling).  TOOLCHAINVERSION=2.1.3

Added: ipcop/trunk/updates/2.2.0/ROOTFILES.i486-2.2.0
===================================================================
--- ipcop/trunk/updates/2.2.0/ROOTFILES.i486-2.2.0	                        (rev 0)
+++ ipcop/trunk/updates/2.2.0/ROOTFILES.i486-2.2.0	2015-01-25 15:40:46 UTC (rev 7815)
@@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/2.2.0/information.xml
===================================================================
--- ipcop/trunk/updates/2.2.0/information.xml	                        (rev 0)
+++ ipcop/trunk/updates/2.2.0/information.xml	2015-01-25 15:40:46 UTC (rev 7815)
@@ -0,0 +1,14 @@
+<ipcop>
+    <update>
+        <version>2.2.0</version>
+        <releasedate>2015-mm-dd</releasedate>
+        <size>0</size>
+        <isoimages>no</isoimages>
+        <description>
+        Description (needs modification, shortly before release at the latest).
+        </description>
+        <previousversion>2.1.8</previousversion>
+        <installdate>INSTALLDATE</installdate>
+        <latest />
+    </update>
+</ipcop>

Added: ipcop/trunk/updates/2.2.0/setup
===================================================================
--- ipcop/trunk/updates/2.2.0/setup	                        (rev 0)
+++ ipcop/trunk/updates/2.2.0/setup	2015-01-25 15:40:46 UTC (rev 7815)
@@ -0,0 +1,115 @@
+#!/bin/bash
+#
+# Upgrade IPCop
+#
+
+UPGRADEVERSION=2.2.0
+PREVIOUSVERSION=2.1.8
+
+
+msg() {
+    /usr/bin/logger -t installpackage "$*"
+    /bin/echo "$*"
+}
+
+
+# Verify architecture
+MACHINE=`/usr/bin/perl -e "require '/usr/lib/ipcop/general-functions.pl';print \
\\$General::machine;"` +if [ "$MACHINE" != `/bin/cat ./ARCH` ]; then
+    msg "Update for wrong architecture: `/bin/cat ./ARCH`! We are: $MACHINE. \
Aborting installation." +    exit 1
+fi
+
+# Verify version, note we also accept replaying an upgrade
+CURRENTVERSION=`/usr/bin/perl -e "require \
'/usr/lib/ipcop/general-functions.pl';print \\$General::version;"` +if [ \
"$CURRENTVERSION" != "$PREVIOUSVERSION" -a "$CURRENTVERSION" != "$UPGRADEVERSION" ]; \
then +    msg "IPCop v$PREVIOUSVERSION or v$UPGRADEVERSION not running. Aborting \
installation." +    exit 1
+fi
+
+# Stop fcron, to keep tasks from running during update
+FCRONPID=`cat /var/run/fcron.pid`
+/bin/kill $FCRONPID
+COUNT=120
+
+while [ -e /var/run/fcron.pid -a ${COUNT} -ge 0 ]
+do
+    sleep 1
+    COUNT=$(( ${COUNT} - 1 ))
+done
+
+if [ -e /var/run/fcron.pid ]; then
+    msg "kill fcron, still running after 30 seconds"
+    /bin/kill -KILL $FCRONPID
+fi
+
+#####
+#
+# Add version specific handling *before* unpacking the patch here.
+# For example stopping dnsmasq(required before update), squid, etc...
+#
+#####
+
+
+
+#####
+#
+# End of version specific handling. Continue with universal stuff.
+#
+#####
+
+FAILURE=0
+/bin/tar -zxpf patch.tar.gz -C /
+FAILURE=$?
+if [ $FAILURE -ne 0 ]; then
+    msg "Error extracting patch.tar.gz $1, need more free space on disk. Aborting."
+    exit 4 # ERRORTAR
+fi
+
+# Modify or remove line below, depending on update
+# Update bootloader config
+# /usr/local/sbin/updatekernel.pl --add 2.6.32-2 --keep 2.6.32-1 --remove 2.6.32-0
+
+# Modify or remove line below, depending on update
+# Create the new initramfs
+# /sbin/mkinitramfs --with-kernel=2.6.32-2 --with-firmware --many-modules \
--with-list=/etc/modules.initramfs +
+# Adjust the changed config files
+# /usr/local/bin/upgrade.sh
+
+# Remove old libraries (version specific)
+# /bin/rm -f .....
+
+# For new shared libs. May not always be required, but makes sure we do not forget
+/sbin/ldconfig
+
+#####
+#
+# Add version specific handling *after* unpacking the patch here.
+# For example restarting apache, squid, etc...
+#
+#####
+
+
+#####
+#
+# End of version specific handling. Continue with universal stuff.
+#
+#####
+
+# Restart fcron
+if [ -e /etc/FLASH ]; then
+    /usr/sbin/fcron -s 86400
+else
+    /usr/sbin/fcron
+fi
+
+# Patch general-functions.pl
+/bin/sed -i -e "s+^\(\$General::version\s*=\s*\).*+\1'$UPGRADEVERSION';+" \
/usr/lib/ipcop/general-functions.pl +# Patch /etc/issue
+/bin/sed -i -e "s+$PREVIOUSVERSION+$UPGRADEVERSION+" /etc/issue
+
+# Update menu
+/usr/local/bin/updatemenu.pl
+
+msg "$UPGRADEVERSION update installed."

This was sent by the SourceForge.net collaborative development platform, the world's \
largest Open Source development site.


------------------------------------------------------------------------------
New Year. New Location. New Benefits. New Data Center in Ashburn, VA.
GigeNET is offering a free month of service with a new server in Ashburn.
Choose from 2 high performing configs, both with 100TB of bandwidth.
Higher redundancy.Lower latency.Increased capacity.Completely compliant.
http://p.sf.net/sfu/gigenet
_______________________________________________
Ipcop-svn mailing list
Ipcop-svn@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ipcop-svn


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic